Package org.springframework.cloud.task.repository

# Class TaskExecution

java.lang.Object
org.springframework.cloud.task.repository.TaskExecution

public class TaskExecution extends Object
Represents the state of the Task for each execution.

Author:
  Glenn Renfro, Michael Minella, Ilayaperumal Gopinathan

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskExecution()`
  `TaskExecution(long executionId, Integer exitCode, String taskName, Date startTime, Date endTime, String exitMessage, List<String> arguments, String errorMessage, String externalExecutionId)`
  `TaskExecution(long executionId, Integer exitCode, String taskName, Date startTime, Date endTime, String exitMessage, List<String> arguments, String errorMessage, String externalExecutionId, Long parentExecutionId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getArguments()`
  `Date`
  `getEndTime()`
  `String`
  `getErrorMessage()`
  `long`
  `getExecutionId()`
  `Integer`
  `getExitCode()`
  `String`
  `getExitMessage()`
  `String`
  `getExternalExecutionId()`
  `Long`
  `getParentExecutionId()`
  `Date`
  `getStartTime()`
  `String`
  `getTaskName()`
  `void`
  `setArguments(List<String> arguments)`
  `void`
  `setEndTime(Date endTime)`
  `void`
  `setErrorMessage(String errorMessage)`
  `void`
  `setExitCode(Integer exitCode)`
  `void`
  `setExitMessage(String exitMessage)`
  `void`
  `setExternalExecutionId(String externalExecutionId)`
  `void`
  `setParentExecutionId(Long parentExecutionId)`
  `void`
  `setStartTime(Date startTime)`
  `void`
  `setTaskName(String taskName)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskExecution

    public TaskExecution()

  - ### TaskExecution

    public TaskExecution(long executionId, Integer exitCode, String taskName, Date startTime, Date endTime, String exitMessage, List<String> arguments, String errorMessage, String externalExecutionId, Long parentExecutionId)

  - ### TaskExecution

    public TaskExecution(long executionId, Integer exitCode, String taskName, Date startTime, Date endTime, String exitMessage, List<String> arguments, String errorMessage, String externalExecutionId)

- ## Method Details

  - ### getExecutionId

    public long getExecutionId()

  - ### getExitCode

    public Integer getExitCode()

  - ### setExitCode

    public void setExitCode(Integer exitCode)

  - ### getTaskName

    public String getTaskName()

  - ### setTaskName

    public void setTaskName(String taskName)

  - ### getStartTime

    public Date getStartTime()

  - ### setStartTime

    public void setStartTime(Date startTime)

  - ### getEndTime

    public Date getEndTime()

  - ### setEndTime

    public void setEndTime(Date endTime)

  - ### getExitMessage

    public String getExitMessage()

  - ### setExitMessage

    public void setExitMessage(String exitMessage)

  - ### getArguments

    public List<String> getArguments()

  - ### setArguments

    public void setArguments(List<String> arguments)

  - ### getErrorMessage

    public String getErrorMessage()

  - ### setErrorMessage

    public void setErrorMessage(String errorMessage)

  - ### getExternalExecutionId

    public String getExternalExecutionId()

  - ### setExternalExecutionId

    public void setExternalExecutionId(String externalExecutionId)

  - ### getParentExecutionId

    public Long getParentExecutionId()

  - ### setParentExecutionId

    public void setParentExecutionId(Long parentExecutionId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`